# Cisco support APIs inventory plugin

*  *snmp_cisco_eox*: adds end of live information to the inventory
*  *snmp_cisco_contract*: adds information about the support contract to the inventory
*  *snmp_cisco_psirt*: adds information about security related issues to the inventory
*  *snmp_cisco_bug*: adds information about known issues with the monitored cisco device to the inventory
*  *snmp_cisco_suggestion*: add information about the vendor suggested software version for the monitored device to the inventory
*  *cisco_api_status*: monitors if the inventory plugins work and informs about status changes

**Note**: to get this plugins to work, you nedd access to the Cisco support APIs (see https://apiconsole.cisco.com/supportapis)

## *snmp_cisco_eox*:

*wato*: 
*  you can disable the inventory plugin
*  you can remove not needed columns from the inventory

Sample output

![sample output](/doc/sample_eox.png?raw=true "sample [SHORT TITLE]")

## *snmp_cisco_contract*:

*wato*: 
*  you can disable the inventory plugin
*  you can remove not needed columns from the inventory

Sample output

![sample output](/doc/sample_contract.png?raw=true "sample [SHORT TITLE]")

## *snmp_cisco_psirt*:

*wato*: 
*  you can disable the inventory plugin
*  you can remove not needed columns from the inventory

Sample output

![sample output](/doc/sample_psirt.png?raw=true "sample [SHORT TITLE]")

## *snmp_cisco_bug*:

*wato*: 
*  you can disable the inventory plugin
*  you can remove not needed columns from the inventory

Sample output

![sample output](/doc/sample_bug.png?raw=true "sample [SHORT TITLE]")

## *snmp_cisco_suggestion*:

*wato*: 
*  you can disable the inventory plugin
*  you can remove not needed columns from the inventory

**Note: the output of this plugin dont work with CheckMK 1.5.x and above :-(**

Sample output

![sample output](/doc/sample_sugesstion.png?raw=true "sample [SHORT TITLE]")

## *cisco_api_status*

* *service*: this check is an active check, you need to create a checkMK rule to use it.
* *state*: **critical**/**warinig**/**ok** 
* *wato*: yes
* *perfdata*: none

Sample output

![sample output](/doc/sample_api_status.png?raw=true "sample [SHORT TITLE]")